entrepot_local.hpp File Reference
Private

defines the implementation for local filesystem entrepot The entrepot_local is the only implementation of an entrepot class present in libdar. It correspond to local filesystems. The reason of existence of the entrepot stuff is to allow external application like webdar to drop/read slices over the network using FTP protocol for example. External applications only have to define Their own implementation of the entrepot interface and file-like objects they generates (inherited from class fichier_global), libdar uses them throught the generic interface. This avoids having network related stuff inside libdar, which for security reason and functions/roles separation would not be a good idea More...

`#include "../my_config.h"`
`#include <string>`
`#include "user_interaction.hpp"`
`#include "entrepot.hpp"`
`#include "fichier_global.hpp"`
`#include "etage.hpp"`

Go to the source code of this file.

## Classes

class | libdar::entrepot_local

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

defines the implementation for local filesystem entrepot The entrepot_local is the only implementation of an entrepot class present in libdar. It correspond to local filesystems. The reason of existence of the entrepot stuff is to allow external application like webdar to drop/read slices over the network using FTP protocol for example. External applications only have to define Their own implementation of the entrepot interface and file-like objects they generates (inherited from class fichier_global), libdar uses them throught the generic interface. This avoids having network related stuff inside libdar, which for security reason and functions/roles separation would not be a good idea

Definition in file entrepot_local.hpp.